# Ogre::EdgeData::Triangle Struct Reference

Basic triangle structure. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Member Functions

| Triangle ()
| Vertex indexes, relative to a shared vertex buffer with.

## Public Attributes

size_t | indexSet
| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.)
size_t | vertexSet
| The vertex set these vertices came from.
size_t | vertIndex [3]
size_t | sharedVertIndex [3]
| Vertex indexes, relative to the original buffer.

## Detailed Description

Basic triangle structure.

Definition at line 55 of file OgreEdgeListBuilder.h.

## Constructor & Destructor Documentation

Ogre::EdgeData::Triangle::Triangle | ( |  | ) |

Vertex indexes, relative to a shared vertex buffer with.

Definition at line 65 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::Triangle::indexSet

The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.)

Definition at line 58 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::sharedVertIndex[3]

Vertex indexes, relative to the original buffer.

Definition at line 62 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertexSet

The vertex set these vertices came from.

Definition at line 60 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertIndex[3]

Definition at line 61 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:11